﻿<div class="filter-form">
    <div class="row">
        <div class="col-xs-4 col-md-4 ">
            <div class="app__form-item">
                <label class="app__form-label">
                     نام کاربری
                </label>
                <div id="filterUsernameParent">
                    @Html.DevExpress().TextBox(settings =>
                {
                    settings.Name = "filterUserNameTXT";
                    settings.Properties.NullText = "نام کاربری";
                }).GetHtml()

                </div>
                <div id="filterUsernameError"
                     class="app__form-error app__hide">
                    نام کاربری وارد  نشده است
                </div>
            </div>
        </div>
        <div class="col-xs-4 col-md-4 ">
            <div class="app__form-item">
                <label class="app__form-label">
                    نام و نام خانوادگی
                </label>
                <div id="filterNickNameParent">
                    @Html.DevExpress().TextBox(settings =>
                    {
                        settings.Name = "filterNickNameTXT";
                        settings.Properties.NullText = "نام و نام خانوادگی کاربر را وارد کنید";
                    }).GetHtml()

                </div>
                <div id="filterNickNameError"
                     class="app__form-error app__hide">
                    نام و نام خانوادگی کاربر وارد نشده است
                </div>
            </div>
        </div>
        <div class="col-xs-4 col-md-4 filter-form__action-wrapper">
            @Html.DevExpress().Button(settings =>
            {
                settings.Name = "filterFormSearchBtn";
                settings.Text = "مشاهده";
                settings.UseSubmitBehavior = false;
                settings.EnableClientSideAPI = true;
                settings.Styles.CssPostfix = "filter-form__btn";
                settings.Width = Unit.Percentage(100);
                settings.ClientSideEvents.Click = "motorsazanClient.user.searchForUser";
            }).GetHtml()
        </div>
    </div>
</div>
